Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface StatelessEJBRuntimeMBean

All Superinterfaces:
  DynamicMBean, EJBRuntimeMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface StatelessEJBRuntimeMBean
extends EJBRuntimeMBean

This interface contains accessor methods for all EJB runtime information collected for a Stateless Session Bean.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`EJBPoolRuntimeMBean` | `getPoolRuntime()` Provides the runtime information about the free pool for this EJB.
`weblogic.management.runtime.EJBTimerRuntimeMBean` | `getTimerRuntime()` Provides runtime information about any EJB Timers created for this EJB.

Methods inherited from interface weblogic.management.runtime.EJBRuntimeMBean
`getEJBName, getResources, getTransactionRuntime`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPoolRuntime

    public EJBPoolRuntimeMBean getPoolRuntime()

  Provides the runtime information about the free pool for this EJB.

  Returns:
    The poolRuntime value

### getTimerRuntime

    public weblogic.management.runtime.EJBTimerRuntimeMBean getTimerRuntime()

  Provides runtime information about any EJB Timers created for this EJB. If the bean class for this EJB does not implement javax.ejb.TimedObject, null will be returned.

  Returns:
    The timerRuntime value or null if TimedObject not implemented

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD